module Processmaker
  class CaseMapping
    include Kartograph::DSL

    kartograph do
      mapping Case

      property :pro_uid, scopes: [:create]
      property :usr_uid, scopes: [:create]
      property :tas_uid, scopes: [:create]
      property :variables, scopes: [:create]
      property :del_index, scopes:[:create]

      property :app_uid, scopes: [:read]
      property :app_number, scopes: [:read]
    end
  end
end
