module Processmaker
  class UserMapping
    include Kartograph::DSL

    kartograph do
      mapping User

      scoped :read do
        property :usr_uid
        property :usr_username
        property :usr_password
        property :usr_firstname
        property :usr_lastname
        property :usr_email
        property :usr_due_date
        property :usr_create_date
        property :usr_update_date
        property :usr_status
        property :usr_country
        property :usr_city
        property :usr_location
        property :usr_address
        property :usr_phone
        property :usr_fax
        property :usr_cellular
        property :usr_zip_code
        property :dep_uid
        property :usr_position
        property :usr_resume
        property :usr_birthday
        property :usr_role
        property :usr_reports_to
        property :usr_replaced_by
        property :usr_ux
      end
    end
  end
end
